import React from 'react';
import ReactDOM from 'react-dom';
import { arc } from 'd3';
const width = 1000;
const height = 500;
const centerX = width / 2;
const centerY = height / 2;
const strokeWidth = 20;
const eyeOffsetX = 90;
const eyeOffsetY = 100;
const eyeRadius = 40/3;
const mouthWidth = 40/3;
const mouthRadius = 140/3;

const mouthArc = arc()
  .innerRadius(55)
  .outerRadius(mouthRadius + mouthWidth)
  .startAngle(Math.PI / 2)
  .endAngle (3);

const App = () => (
  <svg width={width} height={height}>
    <g transform={`translate(${centerX},${centerY})`}>
      <circle
        r={centerY - strokeWidth /1}
        fill="yellow"
        stroke="black"
        stroke-width={5}
      />
      <rect
      x="-160" y="-130"
  		width="140" height="60" 
          fill="blue"
      stroke="pink"
    	stroke-width={5}
      />     
      
/>
<rect 
x="25" y="-130"
  width="140" height="60" 
  fill="blue"
        stroke="pink"
        stroke-width={5}
 		/>
            />
      <circle
        cx={-eyeOffsetX}
        cy={-eyeOffsetY}
        r={10}
      />
      <circle
        cx={eyeOffsetX}
        cy={-eyeOffsetY}
        r={10}
      />
      

            />
      <circle
        cx={-eyeOffsetX}
        cy={-eyeOffsetY}
        r={3}
         fill="white"
      />
      <circle
        cx={eyeOffsetX}
        cy={-eyeOffsetY}
        r={3}
        fill="white"
       />   

      />
      <path d={mouthArc()}/>
     
    </g>
  </svg>
  
);

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);